#include <bits/stdc++.h>
using namespace std;
long long k=0;

void trazi(long long index, long long c[], long long m) {
	long long i=0;
	for(i=0;i<m;i++) if(index == c[i]) k+=1;	
}
main () {
	long long m;
	cin>>m;
	long long a[m],b[m],c[m],index,i,j;
	for(i=0;i<m;i++) cin>>a[i];
	for(i=0;i<m;i++) cin>>b[i];
	for(i=0;i<m;i++) cin>>c[i];
	for(i=0;i<m;i++) {
		for(j=0;j<m;j++) {
			if(b[j]==a[i]) {
				index = j+1;
				trazi(index, c, m);
			}
		}
	}
	cout << k;
}